# Moves

There are 3 types of moves:

* a candidate moves from one job stage to another one (no job/organization change)&#x20;
* a candidate moves from one job to another one (no organization change)&#x20;
* a candidate moves from one job to another one from an another organization

Please note that a job stage is not included if it has been deleted after the move.

{% hint style="info" %}
&#x20;This endpoint requires `moves_r` scope.
{% endhint %}

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/moves`

#### Query Parameters

| Name                                                      | Type    | Description                                                                                            |
| --------------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------ |
| organization\_reference<mark style="color:red;">\*</mark> | string  | Reference of an organization/company involved in the move (from\_organization and/or to\_organization) |
| job\_reference                                            | string  | Reference of a job involved in the move (from\_job and/or to\_job)                                     |
| per\_page                                                 | string  | Number of jobs per page                                                                                |
| page                                                      | integer | Page offset                                                                                            |

{% tabs %}
{% tab title="200 Success" %}

```
[
  {
    "candidate": {"reference": "dc-41e24bb6e4a27"},
    "from": {
              "stage": {"id": 547, "name": "To meet", "reference": "to-meet"},
              "organization": {"reference": "wttj"},
              "job": {"reference": "V-1841-0"}
            },
    "to": {
            "stage": {"id": 295, "name": "Interviewed", "reference": "interviewed"},
            "organization": {"reference": "wttj"},
            "job": {"reference": "V-1841-0"}
          },
    "created_at": "2019-03-27T14:15:38.430+01:00",
    "updated_at": "2019-03-27T14:15:38.430+01:00"
  },
  ...
]
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/moves" \
    -d "organization_reference=wttj" \
    -d "job_reference=V-1841-0" \
    -H "Authorization: Bearer WK_API_KEY"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/analytics-api/list-moves.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
